SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0003266: Expired Leases - MantisBT Endian Bugtracker
Endian Issue Tracker

Please see now our new Bugtracker system: JIRA

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003266Endian FirewallDHCP Serverpublic2010-11-08 08:312013-09-24 09:04
Assigned Tosimon-endian 
PlatformOSOS Version
Product Version2.4 
Target VersionFixed in Version2.3 
Summary0003266: Expired Leases
DescriptionExpired DHCP leases are never cleared from Endian Firewall.
I have leases from August 2010 still appearing in the web-interface.
The only way i can clear them is to edit or delete the dhcpd.leases file in /var/efw/dhcp

Can a feature be added so that we can choose how long to keep expired leases (1 week, 2 weeks, etc..)?
TagsNo tags attached.
Attached Filesjpg file icon Endian_2.4.1_DHCP_ExpiredLease.jpg [^] (22,123 bytes) 2010-11-24 09:20

- Relationships
duplicate of 0001100closedsimon-endian label change in proxy settings 

-  Notes
gmar_87 (reporter)
2010-11-23 07:34

An option to clear all dynamic leases regardless of age would also be much appreciated.
lorenzo-endian (manager)
2010-11-23 10:06

Hi gmar_87,

In "Services" >> "DHCP serer", if you click on the "+" sign, you should be able to set the leases for the DHCP ...

Does a reconfiguration of these setup solve the problem?

Thanks in advance!

gmar_87 (reporter)
2010-11-24 09:19

Hi Lo,

I have tried re-entering the configuration and saving settings but an old lease is still shown. Here is my dhcpd.conf, minus the fixed leases i have setup:


ddns-update-style none;
deny bootp;
option wpad code 252 = text;

shared-network GREEN {
    interface br0;
    subnet netmask {
        pool {
            deny dynamic bootp clients;
        default-lease-time 3600;
        max-lease-time 7200;
        option subnet-mask;
          option domain-name "GMAR";
          option routers;
          option wpad ""; [^]
          option domain-name-servers;


As you can see, the max lease time is 120 minutes. After 120 minutes the lease still appears on this page, but the "Lease expires (local time d/m/y)" column shows and strike through the time stamp. See screenshot attached.
lorenzo-endian (manager)
2010-12-03 13:27

Hi gmar_87,

I can confirm that the leases stay there even when expired; I think that this aspect should be improved :-)

Thanks for providing this hint to us!

Anonymous (viewer)
2013-09-24 09:04

Hi guys to clear the dhcp lease information just remove the file "dhcp lease" and "dhcp lease~" in "/var/lib/dhcp". And refresh the web interface....

- Issue History
Date Modified Username Field Change
2010-11-08 08:31 gmar_87 New Issue
2010-11-23 07:06 lorenzo-endian Assigned To => lorenzo-endian
2010-11-23 07:06 lorenzo-endian Status new => acknowledged
2010-11-23 07:34 gmar_87 Note Added: 0005181
2010-11-23 10:06 lorenzo-endian Note Added: 0005183
2010-11-23 10:06 lorenzo-endian Status acknowledged => feedback
2010-11-24 09:19 gmar_87 Note Added: 0005190
2010-11-24 09:20 gmar_87 File Added: Endian_2.4.1_DHCP_ExpiredLease.jpg
2010-12-03 13:27 lorenzo-endian Note Added: 0005293
2010-12-03 13:27 lorenzo-endian Assigned To lorenzo-endian => simon-endian
2010-12-03 13:27 lorenzo-endian Status feedback => confirmed
2011-02-17 09:31 lorenzo-endian Customer Occurencies => 0
2011-02-17 09:31 lorenzo-endian Severity feature => minor
2011-02-18 17:09 ra-endian Severity minor => tweak
2013-09-24 09:04 Anonymous Note Added: 0008535
2013-09-24 09:04 Anonymous Relationship added duplicate of 0001100
2013-09-24 09:04 Anonymous Status confirmed => resolved
2013-09-24 09:04 Anonymous Fixed in Version => 2.3
2013-09-24 09:04 Anonymous Resolution open => fixed

Copyright © 2005-2008 Endian, SRL. All rights reserved.

Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker